import { BlendProps, Color } from '../types';
export declare type CSSBlendMode = 'normal' | 'multiply' | 'screen' | 'overlay' | 'darken' | 'lighten' | 'color-dodge' | 'color-burn' | 'hard-light' | 'soft-light' | 'difference' | 'exclusion' | 'hue' | 'saturation' | 'color' | 'luminosity';
export interface BlurProperties {
    blurRadius?: number;
    blurType?: 'LAYER_BLUR' | 'BACKGROUND_BLUR';
}
export interface ShadowProperties {
    shadowColor: Color;
    shadowOffset?: {
        width: number;
        height: number;
    };
    shadowOpacity: number;
    shadowRadius?: number;
    shadowSpread?: number;
    shadowType?: 'DROP_SHADOW' | 'INNER_SHADOW';
}
export interface BlendStyleProperties extends ShadowProperties, BlurProperties {
    opacity: number;
    blendMode: CSSBlendMode;
    shadows?: ShadowProperties[];
    blurs?: BlurProperties[];
    effectStyleId?: string;
}
export declare const transformBlendProperties: (styles?: Partial<BlendStyleProperties> & {
    effectStyleId?: string;
}) => BlendProps;
