"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var transformBlurToEffect_1 = require("./transformBlurToEffect");
var transformShadowToEffect_1 = require("./transformShadowToEffect");
var transformBlendMode = function (cssBlendMode) {
    /**
     * TODO: Missing modes - PASS_THROUGH, LINEAR_BURN, LINEAR_DODGE
     */
    switch (cssBlendMode) {
        case 'normal':
            return 'NORMAL';
        case 'darken':
            return 'DARKEN';
        case 'multiply':
            return 'MULTIPLY';
        case 'color-burn':
            return 'COLOR_BURN';
        case 'lighten':
            return 'LIGHTEN';
        case 'screen':
            return 'SCREEN';
        case 'color-dodge':
            return 'COLOR_DODGE';
        case 'overlay':
            return 'OVERLAY';
        case 'soft-light':
            return 'SOFT_LIGHT';
        case 'hard-light':
            return 'HARD_LIGHT';
        case 'difference':
            return 'DIFFERENCE';
        case 'exclusion':
            return 'EXCLUSION';
        case 'hue':
            return 'HUE';
        case 'saturation':
            return 'SATURATION';
        case 'color':
            return 'COLOR';
        case 'luminosity':
            return 'LUMINOSITY';
        default:
            break;
    }
};
exports.transformBlendProperties = function (styles) {
    if (!styles) {
        return {};
    }
    var blendProps = {};
    if (styles.opacity) {
        blendProps.opacity = styles.opacity;
    }
    if (styles.blendMode) {
        blendProps.blendMode = transformBlendMode(styles.blendMode);
    }
    if (styles.shadowColor || styles.shadows) {
        blendProps.effects = (blendProps.effects != null ? blendProps.effects : []).concat(transformShadowToEffect_1.transformShadowToEffect(styles));
    }
    if (styles.blurRadius || styles.blurs) {
        blendProps.effects = (blendProps.effects != null ? blendProps.effects : []).concat(transformBlurToEffect_1.transformBlurToEffect(styles));
    }
    return __assign({}, blendProps, ((styles.effectStyleId && { effectStyleId: styles.effectStyleId }) || {}));
};
//# sourceMappingURL=transformBlendProperties.js.map